\documentclass[border=10pt]{standalone}
\usepackage{tikz}
\usetikzlibrary{arrows.meta,
                positioning,
                shapes}
\usepackage{listings}
\begin{document}
 \noindent\resizebox{\textwidth}{!}{   \begin{tikzpicture}[
 node distance = 4mm and 20mm, 
  block/.style = {draw, rounded corners, fill=#1,
                  minimum height=3em, text width=8em, align=center},
block/.default = white,
decision/.style = {diamond, draw, fill=white!20,
    text width=6em, align=center, minimum height=3em},
every edge/.append style = {draw=black!50, thick, -Latex}
                    ]
\node [block] (A) {STL File\\\vspace{0.1cm}\includegraphics[width=\textwidth]{input.png}};
\node [block, right =of A, text width=9em] (B) {
Val3 Files\\
$project.pjx$\\
$project.dtx$\\
$start.pgx$\\
$stop.pgx$};

%\node [block, above right = of B] (C) {Third step};
%\node [block, below right = of B] (D) {4th step};
%\node [decision, below right = of C] (E) {Is  condition met?};

%\node [block,  right = of E] (F) {Take an action};

\path   (A) edge node[yshift=0.2cm]{???} (B);

%\draw[thick,anchor=west]   (B.+5)  edge  (C.west);         
%\draw[thick,anchor=west]   (B.-5)  edge  (D.west);    
%\draw[thick]   (C.+5)  edge  (E.-227.5);         
%\draw[thick]   (D.+5)  edge  (E.227.5);
%\draw[thick, anchor=south]   (E)  edge node{Yes} (F);

\end{tikzpicture}}
\end{document}